Đến nội dung


Hình ảnh
- - - - -

Lisp tính giá trị trung bình của các Text !!!!


  • Please log in to reply
60 replies to this topic

#41 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 29 September 2014 - 10:11 PM

code mới cho nhoc tham khảo

(DEFUN C:tbcc(/ SS ss1 pt TT)
  (defun ssnum (ss);return list ent
    (if ss(vl-remove-if-not
		     '(lambda (x) (distof (cdr (assoc 1 (entget x)))))
		     (vl-remove-if'listp(mapcar'cadr(ssnamex ss)))
		   )
      )
    )
  
  (defun dxf (code e) (cdr (assoc code (entget e))))
  (or sole (setq sole 2))
  
  (if(and(setq sole (cond((getint (strcat "\nLay bao nhieu so le <" (rtos sole 2 0) ">: "))) (sole)))
	 (setq ss (ssnum (ssget '((0 . "TEXT") ))))
	 )
    (progn
      (setq #DIMZIN (GETVAR "DIMZIN"))
      (SETVAR "DIMZIN" 0)
      (setq tt (apply '+(mapcar'(lambda (x) (atof (dxf 1 x)))ss)))
      (setq tt (RTOS (/ tt (length ss) 2 sole))
      (if (setq ss1(car(entsel "\nChon TEXT de ghi ket qua hoac enter de chon diem ghi ket qua: ")))
	  (vla-put-textstring (vlax-ename->vla-object ss1) tt)
	  (entmake
	    (list (cons 0 "TEXT")
		  (cons 1 TT)
		  (cons 7 (dxf 7 (car ss)))
		  (cons 8 (dxf 8 (car ss)))
		  ;...
		  (cons 40 (dxf 40 (car ss)))
		  (cons 10 (getpoint "\nChon diem ghi ket qua: "))
	    )
	  )
	  )
      (SETVAR "DIMZIN" #DIMZIN)
      )
    )
  (princ)
)

  • 0

#42 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 29 September 2014 - 10:25 PM

hic, thẻ code diễn đàn bị lổi?

(car(entsel"\nChon TEXT de ghi ket.. ")) = (car("\nChon TEXT de ghi ket.. "))

 

(car(entsel "\nChon TEXT de ghi ket.. ")) = (car(entsel "\nChon TEXT de ghi ket.. "))


  • 0

#43 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 29 September 2014 - 11:36 PM

- ^^ thanks a  Tue nhắc nhở khi nào nhoc khá nhoc sẽ kỹ hơn, mà nhoc nghĩ  mình viết càng kỹ là tránh sai sót cho người dùng, nếu người dùng kỹ sẽ ko có lỗi xây ra  :P  ,thật ra nếu theo sườn bài anh Ket dạy và lv hiện tại của nhoc , hàm ssname, sslength, entget, ssget nhoc chưa học tới toàn mót chưa vững lắm  ( tự bào chữa kaka)
- cảm ơn mấy a có  lsp nhỏ nhoc edit  mà đc nhiều a quan tâm chỉ bảo, viết quá trời code lun ^^
- chắc nhoc ko sữa nữa đâu, mò ra đc thằng này thì lại dính thằng khác choáng rùi ^^, mà mấy anh cũng code ra hết trơn rùi ^^
- mót về khi nào khá lôi ra học ^^
  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#44 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 30 September 2014 - 04:55 AM

Đùa tí: bác Tue_NV kiểm tra biến đếm khác 0 hơi bị điệu nghệ: (null (zero mstbc)), trong khi chỉ cần (> mstbc 0).

 

Hề hề, mấy cái đó là quick code bác ạ, trong đầu thoáng thấy cái nào là "chụp" luôn cái đó

Cũng giống như bác đã viết (setq lst (vl-remove-if '(lambda(x) (= x nil)) lst)) 

trong khi chỉ cần (setq lst (vl-remove nil lst))

hề hề.....


  • 0

#45 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 30 September 2014 - 09:25 AM

- kỳ thật, nhoc lại ko chịu đc cảnh đem co bỏ chợ khó chịu ^^, nhoc lại ráng mò cho ra ^^, dựa trên code anh Tue nhoc ráng viết lại hoàn chỉnh ko bị các lỗi như a Tue nêu, tới đây nhoc nhận ra rằng có quá nhiều trường hợp ^^ để xét @@

- lọc ra các text chỉ số đã ổn 

- nếu ko chọn gì enter hoặc chọn toàn text chữ enter sẽ thoát lệnh ko bị lỗi lsp chạy tới dòng chọn điểm đặt nữa hay lỗi ** Error: divide by zero ** => tạm ổn ^^

- tạo text ghi kết quả height text ko bị ảnh hưởng bởi textstyle khác 0 

- mục đích nhoc lấy các mã dxf trong lsp cũ là là để gán vào text ghi kết quả: ko phải set chiều cao text, lấy lun textstyle, layer của tập chọn cho nó gọn nhưng

  nếu các text ko cùng layer or ko cùng height text or ko cùng style nữa thì sao nhỉ, nếu set thêm layer, style của kq tbc riêng thì có thể có người thấy hơi thừa trong bãn vẽ trừ phi người đó mún tạo ra 1 lst các giá trị tbc nằm ở 1 lớp riêng cho việc khác ^^

- lsp nhoc chỉnh lại dựa trên code a Tue nhoc cũng đã thử các trường hợp trên vẫn in ra đc kq, nhưng các thông số trên dựa theo quy luật nào mà thằng kết quả nó lấy của đối tượng nào để add vô ^^, đã thử nếu nhoc chọn từng thằng 1 thì thằng nào nhoc chọn cuối thì nó sẽ theo thằng đó, còn mà quét 1 lúc thì ko pit đc thằng nào là thằng cuối ^^

(defun mktext (point height string justify layer textstyle mau / lst)
(setq lst (list '(0 . "TEXT")
                              (cons 10 point)
							  (cons 40 height)
							  (cons 1 string)
							  (cons 8 layer)
							  (cons 7 textstyle)
							  (cons 62 mau)
			)
			justify (strcase justify))
		(cond   ((= justify "L") (setq Lst (append Lst (list (cons 72 0) (cons 11 point)))))
		        ((= justify "C") (setq Lst (append Lst (list (cons 72 1) (cons 11 point)))))
				((= justify "R") (setq Lst (append Lst (list (cons 72 2) (cons 11 point)))))
				((= justify "M") (setq Lst (append Lst (list (cons 72 4) (cons 11 point)))))
				)
	(entmakex Lst)
  )	;end mktext
;;;;
(defun C:tbcc(/ c tong mstbc num ss pt glayer ctext gstyle kq old)
(setq old (getvar "osmode"))
(setq c -1 tong 0 mstbc 0)
(if (setq ss (ssget '((0 . "TEXT"))))
 (progn
    (while (setq ename (ssname ss (setq c (1+ c))))
      (if (setq num (distof (cdr (assoc 1 (entget ename)))))
	      
          (setq tong (+ tong num) mstbc (1+ mstbc))
      );if
	  (if ename
	  (progn
	  (setq ctext (cdr (assoc 40 (entget ename))))
	  (setq glayer (cdr (assoc 8 (entget ename))))
	  (setq gstyle (cdr (assoc 7 (entget ename))))
	  )
	  )
    );while
	
	(if (null (zerop mstbc))
	(progn
	(setq kq (/ tong mstbc))
	(setvar "osmode" 0)
	(setq pt (getpoint "\nchon diem dat ket qua:"))
    (mktext pt ctext (rtos kq 2 3) "L" glayer gstyle 1)
     );progn
    );if	 
	
  );progn
);if    
(setvar "osmode" old)
(princ)
)

- p/s: nhiều vấn đề thật, mấy a góp ý cho nhoc với lsp này nên lấy thông số của đối tượng chọn add vào kq hay mình tạo 1 thông số riêng cho nó, cái nào tối ưu hơn nhỉ 


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#46 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 30 September 2014 - 09:42 AM

P/S: Các thông số của text thì Nhoc nên lấy theo current style.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#47 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 30 September 2014 - 10:11 AM

Bạn Ha có thể thiết lập biến textsize bằng 0 được không nhỉ? :blush:


  • 0

#48 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 30 September 2014 - 10:28 AM

Bạn Ha có thể thiết lập biến textsize bằng 0 được không nhỉ? :blush:

Srr, height của textstyle thì có thể bằng 0, nhưng textsize thì luôn khác 0.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#49 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 30 September 2014 - 10:34 AM

Mượn hoa kính Phật, nhoclangbat có thể viết theo bạn Ha theo cách lấy Text height :) :

(vl-load-com)
(defun C:tbcc (/ old CRST RSIZE TSIZE STR PRMT ss lst tbc)
(setq old (mapcar 'getvar (list "cmdecho" "osmode")))
(setvar "cmdecho" 0) (setvar "osmode" 0)
(SETQ CRST (GETVAR "TEXTSTYLE"))
(SETQ RSIZE (CDR (ASSOC 40 (TBLSEARCH "STYLE" CRST))))
(SETQ TSIZE (GETVAR "TEXTSIZE"))
(SETQ STR (RTOS TSIZE 2))
(SETQ PRMT (STRCAT "\nText height <" STR ">:"))
(IF (= RSIZE 0)
  (PROGN
    (INITGET 6)
    (SETQ TSIZE (GETREAL PRMT))
    (IF (= TSIZE NIL) (SETQ TSIZE (GETVAR "TEXTSIZE"))
              (SETVAR "TEXTSIZE" TSIZE))
  )
)
 (setq ss (ssget '((0 . "TEXT"))))
 (setq lst (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
 (setq lst (mapcar '(lambda(ent) (distof (cdr (assoc 1 (entget ent))))) lst))
 (setq lst (vl-remove-if '(lambda(x) (= x nil)) lst))
 (setq tbc (/ (apply '+ lst) (length lst)))
    (setq p (getpoint "\nNhap vi tri xuat ket qua: "))
(IF (= RSIZE 0) (command "TEXT" p TSIZE 0 (rtos tbc 2 3)) (command "TEXT" p 0 (rtos tbc 2 3)))
(mapcar 'setvar (list "cmdecho" "osmode") old)
(princ))

 

  • 1

#50 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 30 September 2014 - 10:48 AM

Viết như thế sẽ bị lỗi ở dòng (command "text" p tsize...) khi gặp style current có height khác 0.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#51 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 30 September 2014 - 11:32 AM

- nhoc thấy chắc chỉ có dùng entmake mới né đc thằng style nhỉ ^^, tuy nhiên mấy bản vẽ chuyên nghiệp nhoc ko kể đến, chỗ nhoc thì chỉ tạo các style cần dùng và height lun = 0 để dễ tùy biến ^^


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#52 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 30 September 2014 - 11:48 AM

Srr, quên cái vụ có 2 trường hợp Text current có Height = và khác 0. Code lại :D #49


  • 0

#53 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 30 September 2014 - 12:25 PM

@nhoc:

- Nguyên đoạn (if ename ...) trong vòng while là thừa, nên để ngoài vòng while

- đoạn (if ename ...) đó luôn luôn lấy phần tử cuối cùng trong tập chọn


  • 1

#54 qh2qa06

qh2qa06

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2014 - 02:12 PM

Em xin thưa là em mù Lisp nên trong một biển các lisp tính trung bình cộng ở trên, các bác có thể cho em xin một file chuẩn cuối cùng không ạ?


  • 0

#55 phamhuy1

phamhuy1

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 30 September 2014 - 02:24 PM

Ghen tị với nhoclangbat quá điiiiiii <_< , 1 lisp thôi mà nhiều cao thủ nhảy vào giúp đỡ :wacko:


  • 0

#56 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 30 September 2014 - 02:33 PM

- hihi chào mừng bạn trở lại ^^, bạn mún 1 lsp chuẩn theo ý bạn, trước hết nhoc mún pit yêu cầu và mục đích cụ thể của bạn là gì

- 1 tính trung bình cộng các số ok vấn đề đã đc giải quyết

- 2 phần râu ria ^^

 + bạn mún tính các số trong đó có bao gồm các text có chứa chữ trong đó ko (chắc là ko ^^)

 + phần quét chọn bạn có lọc ra riêng các text số cần tính không như file ví dụ bạn đưa, hay trên bản vẽ có vô vàn đối tượng và các text cao độ nằm rãi rác và bạn mún quét toàn bộ bản vẽ

 + các text cao độ bạn chọn có cùng chung 1 layer, 1 kiểu textstyle, chung độ cao chữ ko

 + text xuất kết quả bạn mún nó có thuộc tính như thế nào nào có chung thuộc tính với các text đã  chọn đó ko, hay bạn mún nó thuộc 1 layer riêng, 1 style riêng, 1 chiều cao khác, 1 màu khác, hay edit vào text có sẵn, hay đơn giản hơn sao cũng đc chỉ cần ra đúng kết quả để kiểm tra gì đó

- dựa trên mục đích của bạn nhoc sẽ cố gắng gôm lại 1 cục cuối cùng ^^


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#57 qh2qa06

qh2qa06

    biết vẽ pline

  • Members
  • PipPip
  • 69 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 September 2014 - 04:17 PM

- hihi chào mừng bạn trở lại ^^, bạn mún 1 lsp chuẩn theo ý bạn, trước hết nhoc mún pit yêu cầu và mục đích cụ thể của bạn là gì

- 1 tính trung bình cộng các số ok vấn đề đã đc giải quyết

- 2 phần râu ria ^^

 + bạn mún tính các số trong đó có bao gồm các text có chứa chữ trong đó ko (chắc là ko ^^)

 + phần quét chọn bạn có lọc ra riêng các text số cần tính không như file ví dụ bạn đưa, hay trên bản vẽ có vô vàn đối tượng và các text cao độ nằm rãi rác và bạn mún quét toàn bộ bản vẽ

 + các text cao độ bạn chọn có cùng chung 1 layer, 1 kiểu textstyle, chung độ cao chữ ko

 + text xuất kết quả bạn mún nó có thuộc tính như thế nào nào có chung thuộc tính với các text đã  chọn đó ko, hay bạn mún nó thuộc 1 layer riêng, 1 style riêng, 1 chiều cao khác, 1 màu khác, hay edit vào text có sẵn, hay đơn giản hơn sao cũng đc chỉ cần ra đúng kết quả để kiểm tra gì đó

- dựa trên mục đích của bạn nhoc sẽ cố gắng gôm lại 1 cục cuối cùng ^^

 

- Phần quét chọn mình sẽ quét duy nhất số, nếu có lẫn chữ hãy báo lỗi cho mình.

- Các text cao độ mình chọn chưa chắc đã có chung 1 layer, 1 kiểu textstyle, 1 độ cao. Theo mình lisp sẽ tính cho tất cả các đối tượng lựa chọn có dạng là text số.

- Text xuất ra có thuộc tính là Layer, Textstyle đang hiện hành là được.

 

 Phức tạp quá nhỉ. Hôm nay hứng lên vào diễn đàn xem, thấy topic tăng thêm 2 trang, giật cả mình :D


  • 0

#58 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 30 September 2014 - 04:57 PM

- Phần quét chọn mình sẽ quét duy nhất số, nếu có lẫn chữ hãy báo lỗi cho mình.

- Các text cao độ mình chọn chưa chắc đã có chung 1 layer, 1 kiểu textstyle, 1 độ cao. Theo mình lisp sẽ tính cho tất cả các đối tượng lựa chọn có dạng là text số.

- Text xuất ra có thuộc tính là Layer, Textstyle đang hiện hành là được.

 

 Phức tạp quá nhỉ. Hôm nay hứng lên vào diễn đàn xem, thấy topic tăng thêm 2 trang, giật cả mình :D

- phần quét bạn yên tâm nó sẽ loại chữ ra, nếu các text cao độ cùng 1 layer nhoc co thể thêm điều kiện chỉ chọn layer đó tránh nhầm các text khác ở layer khác, như bạn nêu thì việc quét do bạn cẩn thận trong lúc chọn hen ^^

- ok sẽ lấy thuộc tính hiện hành ^^, nhoc sẽ chỉnh cao text = với file mẫu bạn đưa còn màu lấy màu đỏ cho nổi hen ^^

- bạn ko vội chờ nhoc xíu nhoc chỉnh lại ^^


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#59 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 30 September 2014 - 05:21 PM

- bạn cứ test thử nhiều trường hợp có lỗi pm nhoc hen ^^

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.c...cac-text/page-3
(defun mktext (point height string justify style  mau / lst)
(setq lst (list '(0 . "TEXT")
                              (cons 10 point)
							  (cons 40 height)
							  (cons 7 style)
							  (cons 1 string)
							  (cons 62 mau)
			)
			justify (strcase justify))
		(cond   ((= justify "L") (setq Lst (append Lst (list (cons 72 0) (cons 11 point)))))
		        ((= justify "C") (setq Lst (append Lst (list (cons 72 1) (cons 11 point)))))
				((= justify "R") (setq Lst (append Lst (list (cons 72 2) (cons 11 point)))))
				((= justify "M") (setq Lst (append Lst (list (cons 72 4) (cons 11 point)))))
				)
	(entmakex Lst)
  )	;end mktext
;;;;
(prompt "Lenh tinh trung binh cong cac so: TBCC")
(defun C:tbcc(/ c tong mstbc num ss pt ctext kq old sty)
(setq old (getvar "osmode"))
(setq sty (getvar "textstyle"))
(setq c -1 tong 0 mstbc 0)
(if (setq ss (ssget '((0 . "TEXT"))))
 (progn
    (while (setq ename (ssname ss (setq c (1+ c))))
      (if (setq num (distof (cdr (assoc 1 (entget ename)))))
	      
          (setq tong (+ tong num) mstbc (1+ mstbc))
      );if
	  (if ename
	  (progn
	  (setq ctext (cdr (assoc 40 (entget ename))))
	  ;(setq glayer (cdr (assoc 8 (entget ename))))
	  ;(setq gstyle (cdr (assoc 7 (entget ename))))
	  )
	  )
	  
    );while
	
	
	(if (null (zerop mstbc))
	(progn
	(setq kq (/ tong mstbc))
	(setvar "osmode" 0)
	(setq pt (getpoint "\nchon diem dat ket qua:"))
    (mktext pt ctext (rtos kq 2 3) "L" sty 1)
     );progn
    );if	 
	
  );progn
  (alert "\nChua co doi tuong dc chon hoac ban chi chon toan text chu ^^")
);if    
(setvar "osmode" old)
(princ)
)

 


  • 2
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#60 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 30 September 2014 - 06:26 PM

Khá khen các học trò của thầy Ket. Hiepttr thì nhanh như sóc, Nhoc thì cần như kiến, tiến chút nữa là ra nghề. Vote động viên!


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.